Skip to main content
GET
/
v1
/
companies
/
{company-id}
/
equipment
/
typeahead
Typeahead search on Equipment for a Company
curl --request GET \
  --url https://api.tread-horizon.com/v1/companies/{company-id}/equipment/typeahead \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "equipment_type": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "system": true,
        "external_id": "<string>",
        "accounting_id": "<string>"
      },
      "external_id": "<string>",
      "equipment_id": "<string>",
      "company_share": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "external_id": "<string>",
        "ticket_match_id": "<string>",
        "sender_company": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "tread_id": "ABC123",
          "legal_name": "<string>",
          "company_type": "hauler"
        },
        "dispatchable": true,
        "schedule_on": true,
        "rate_override": true,
        "expires_at": "2023-11-07T05:31:56Z"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string
required

Company ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

search[query]
string

Search string for queries

filter[dispatchable]
boolean

Filter dispatchable CompanyShareable models

filter[shared]
boolean

Filter shared CompanyShareable models

filter[equipment_type_ids]
array

The associated EquipmentType IDs

filter[sender_company_ids]
array

The associated Sender Company IDs

Response

OK

data
Equipment-Read-Typeahead · object[]
required